#
# spec file for package linux-atm
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           linux-atm
%define sover	1
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  glibc-devel
Url:            http://sourceforge.net/projects/linux-atm/
Summary:        Tools for ATM
License:        BSD-3-Clause and GPL-2.0+ and LGPL-2.1+
Group:          Productivity/Networking/Other
Version:        2.5.0
Release:        5.5
Source0:        linux-atm-%{version}.tar.bz2
Patch0:         linux-atm-%{version}.diff
Patch1:         linux-atm-2.5.0-include.patch
Patch2:         linux-atm-2.5.0-fdleak.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Tools to support ATM (Asynchronous Transfer Mode) networking.

%package -n libatm%sover

Summary:        Libraries for ATM
Group:          System/Libraries

%description -n libatm%sover
Libraries for ATM (Asynchronous Transfer Mode) networking.

%package devel
Summary:        Development for ATM
Group:          Development/Libraries/C and C++
Requires:       libatm%sover = %version

%description devel
Libraries and header files for ATM (Asynchronous Transfer Mode)
networking.

%prep
%setup -q -n linux-atm-%{version}
%patch0
%patch1 -p1
%patch2

%build
%configure --disable-static
%{__make} %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
%{__rm} -rf %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -n libatm%sover -p /sbin/ldconfig

%postun -n libatm%sover -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config(noreplace) /etc/atmsigd.conf
/usr/bin/*
/usr/sbin/*
%doc README AUTHORS ChangeLog NEWS THANKS BUGS
%doc COPYING COPYING.GPL COPYING.LGPL
%doc %{_mandir}/man*/*.gz

%files -n libatm%sover
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*

%changelog
* Fri Feb  1 2013 coolo@suse.com
- update license to new format
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Tue Nov  2 2010 coolo@novell.com
- fix requires after rename
* Sun Oct 31 2010 jengelh@medozas.de
- Use %%_smp_mflags
- Shared library policy: rename linux-atm-lib -> libatm
* Sat Oct 10 2009 crrodriguez@opensuse.org
- fix fdleak [bnc#544223]
- remove static libraries and "la" files
* Fri Jun 12 2009 coolo@novell.com
- fix build with glibc 2.10
* Thu Mar 29 2007 rguenther@suse.de
- add bison and flex BuildRequires
* Fri Mar 23 2007 ssommer@suse.de
- fix build with newer kernel headers
* Sat May 27 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Apr 22 2005 arvin@suse.de
- updated to latest CVS
* Wed Apr 20 2005 arvin@suse.de
- updated to 2.5.0 CVS + my GCC 4.0 and other patches
* Mon Apr 18 2005 arvin@suse.de
- some (but not all) gcc 4.0 fixes
* Tue Apr 20 2004 arvin@suse.de
- removed some compile warnings
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Sat Jul 19 2003 meissner@suse.de
- drop 1 line from ltconfig, so it builds shared libs on ppc64.
* Mon May 26 2003 arvin@suse.de
- split package into linux-atm, linux-atm-lib and linux-atm-devel
- include all programs/files to make rpm v4 happy
* Thu Apr 18 2002 kukuk@suse.de
- Add suse_update_config for x86_64
* Tue Jan  8 2002 arvin@suse.de
- include some documentation in the package
* Mon Jan  7 2002 arvin@suse.de
- initial package for atm
